<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>EmailUtil.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.util</a> &gt; <span class="el_source">EmailUtil.java</span></div><h1>EmailUtil.java</h1><pre class="source lang-java linenums">package dev.team3.util;

import javax.mail.*;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Properties;

<span class="nc" id="L8">public class EmailUtil {</span>
    public static boolean sendEmail(String recipient, String subject, String text){

<span class="fc" id="L11">        System.out.println(&quot;Prepare to send email....&quot;);</span>
<span class="fc" id="L12">        Properties properties = new Properties();</span>

<span class="fc" id="L14">        properties.put(&quot;mail.smtp.auth&quot;, &quot;true&quot;);</span>
<span class="fc" id="L15">        properties.put(&quot;mail.smtp.starttls.enable&quot;, &quot;true&quot;);</span>
<span class="fc" id="L16">        properties.put(&quot;mail.smtp.host&quot;, &quot;smtp.gmail.com&quot;);</span>
<span class="fc" id="L17">        properties.put(&quot;mail.smtp.port&quot;, &quot;587&quot;);</span>

<span class="fc" id="L19">        String myEmail = &quot;revature.team.3@gmail.com&quot;;</span>
<span class="fc" id="L20">        String myPassword = &quot;team3casino&quot;;</span>

<span class="fc" id="L22">        Session session = Session.getInstance(properties, new Authenticator() {</span>
            @Override
            protected PasswordAuthentication getPasswordAuthentication() {
<span class="fc" id="L25">                return new PasswordAuthentication(myEmail, myPassword);</span>
            }
        });
        // Message message = prepareMessage(session, myEmail, recipient);

        try {
<span class="fc" id="L31">            Message message = new MimeMessage(session);</span>
<span class="fc" id="L32">            message.setFrom(new InternetAddress(myEmail));</span>
<span class="fc" id="L33">            message.setRecipient(Message.RecipientType.TO, new InternetAddress(recipient));</span>
<span class="fc" id="L34">            message.setSubject(subject);</span>
<span class="fc" id="L35">            message.setText(text);</span>

<span class="fc" id="L37">            Transport.send(message);</span>
<span class="fc" id="L38">            System.out.println(&quot;Email sent successfully&quot;);</span>
<span class="fc" id="L39">            return true;</span>

<span class="nc" id="L41">        } catch (MessagingException e) {</span>
<span class="nc" id="L42">            e.printStackTrace();</span>
        }
<span class="nc" id="L44">        return false;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>